Subject: Re: linux-next: manual merge of the drm-misc tree with the drm-misc-fixes tree

From: Christian König <[email-masked]>
Date: Thu, 14 Apr 2022 08:33:04 +0200

Am 14.04.22 um 01:47 schrieb Stephen Rothwell:
> Hi all,
>
> Today's linux-next merge of the drm-misc tree got a conflict in:
>
>    drivers/gpu/drm/radeon/radeon_sync.c
>
> between commit:
>
>    022074918042 ("drm/radeon: fix logic inversion in radeon_sync_resv")
>
> from the drm-misc-fixes tree and commit:
>
>    7bc80a5462c3 ("dma-buf: add enum dma_resv_usage v4")
>
> from the drm-misc tree.
>
> I fixed it up (I just used the latter version) and can carry the fix as
> necessary.

I still need to double check the result in linux-next, but that doesn't 
sounds right.

The missing "!" needs to be carried into the new function call.

drm-tip should have the right solution to this merge conflict.

Thanks,
Christian.

> This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
>